### From is_js
+ Type
	- number
	- string

+ RegExp
	- url
	- email
	- creditCard
	- alphaNumeric
	- timeString
	- dateString
	- zipCode
	- phone
	- phoneInternational
	- affirmative

+ Number
	- positive
	- negative
	- above
	- under
	- integer


### Customized
- emptyString
- notEmptyString
- numberString
- maxLength
- minLength




Generic credit card could check all regexes, but this is redundant as it works without it.

```javascript
	var regexes = {
		visa: /^4[0-9]{12}(?:[0-9]{3})?$/,
  	mastercard: /^5[1-5][0-9]{14}$/,
  	amex: /^3[47][0-9]{13}$/,
  	carteBlanche: /^389[0-9]{11}$|^380[0-9]{11}$/,
  	dinersClub: /^3(?:0[0-5]|[68][0-9])[0-9]{11}$/,
  	discover: /^65[4-9][0-9]{13}|64[4-9][0-9]{13}|6011[0-9]{12}|(622(?:12[6-9]|1[3-9][0-9]|[2-8][0-9][0-9]|9[01][0-9]|92[0-5])[0-9]{10})$/,
  	jcb: /^(?:2131|1800|35\d{3})\d{11}$/,
  	lasercard: /^(6304|6706|6709|6771)[0-9]{12,15}$/,
  	maestro: /^(5018|5020|5038|6304|6759|6761|6763|6799)[0-9]{8,19}$/,
  	solo: /^(6334|6767)[0-9]{12}|(6334|6767)[0-9]{14}|(6334|6767)[0-9]{15}$|^(4903|4905|4911|4936|6333|6759)[0-9]{12}|(4903|4905|4911|4936|6333|6759)[0-9]{14}|(4903|4905|4911|4936|6333|6759)[0-9]{15}|564182[0-9]{10}|564182[0-9]{12}|564182[0-9]{13}|633110[0-9]{10}|633110[0-9]{12}|633110[0-9]{13}$/,
  	unionpay: /^(62[0-9]{14,17})$/
	};

	// should return true if any specific regexp tests pass
	for (var prop in regexes) {

		if (regexes.hasOwnProperty(prop)) {
			if (regexes[prop].test(str)) {
				return true;
			}
		}

	}
```














~~The script can be used modularly. For example, `require('s-valid').email` will only import the email validator.~~
*(Modularity coming soon)*


```
valid._regexps = {
  usZipCode: /^[0-9]{5}(?:[0-9]{4})?$/
  // timeString: /^(2[0-3]|[01]?[0-9]):([0-5]?[0-9]):([0-5]?[0-9])$/,
  // dateString: /^(1[0-2]|0?[1-9])\/(3[01]|[12][0-9]|0?[1-9])\/(?:[0-9]{2})?[0-9]{2}$/,
  // nanpPhone: /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/,
  // eppPhone: /^\+[0-9]{1,3}\.[0-9]{4,14}(?:x.+)?$/,
};
```




```
// ----- dependencies
// ---------------------------------------
var expect = require('chai').expect;
var validEmail = require('../modular.js').email;


// ----- tests
// ---------------------------------------
describe('Modular Email', function() {

	it('should return false if not passed a string', function() {
		expect(validEmail(5)).to.be.false;
	});

	it('should return true if passed a valid email', function() {
		expect(validEmail('test@test.com')).to.be.true;
	});

	it('should return false if not passed a valid email', function() {
		expect(validEmail('')).to.be.false;
		expect(validEmail('test')).to.be.false;
		expect(validEmail('test.com')).to.be.false;
		expect(validEmail('test@test')).to.be.false;
		expect(validEmail('test@test.')).to.be.false;
		expect(validEmail('test email@test.com')).to.be.false;
		expect(validEmail('mailto:test@test.com')).to.be.false;
	});

});
```